Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.os
Class Parm

    java.lang.Object
      com.sun.squawk.os.Parm

    public class Parm

extends Object

Root parameter class.

Constructor Summary
`Parm(int fnaddress)` Constructor.

Method Summary
`Parm` | `cbytes(byte[] bytes)` Add a byte array parameter.
`Parm` | `cstring(String str)` Add a String parameter.
`void` | `free()` Free all the malloc allocated parameter buffers.
`Parm` | `jni()` Specify that the function should be called using the JNI calling convention.
`Parm` | `parm(double x)` Add a double parameter.
`Parm` | `parm(float x)` Add a float parameter.
`Parm` | `parm(int x)` Add an int parameter.
`Parm` | `parm(long x)` Add a long parameter.
`Parm` | `parm(Object x)` Add an Object parameter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parm

    public Parm(int fnaddress)

  Constructor.

  Parameters:
    `fnaddress` - address of the function to be called

Method Detail

### jni

    public Parm jni()

  Specify that the function should be called using the JNI calling convention.

  Returns:
    the root parameter

### parm

    public Parm parm(int x)

  Add an int parameter.

  Parameters:
    `x` - the parameter
  Returns:
    the root parameter

### parm

    public Parm parm(long x)

  Add a long parameter.

  Parameters:
    `x` - the parameter
  Returns:
    the root parameter

### parm

    public Parm parm(float x)

  Add a float parameter.

  Parameters:
    `x` - the parameter
  Returns:
    the root parameter

### parm

    public Parm parm(double x)

  Add a double parameter.

  Parameters:
    `x` - the parameter
  Returns:
    the root parameter

### parm

    public Parm parm(Object x)

  Add an Object parameter.

  Parameters:
    `x` - the parameter
  Returns:
    the root parameter

### cstring

    public Parm cstring(String str)

  Add a String parameter.

  Parameters:
    `str` - the parameter
  Returns:
    the root parameter

### cbytes

    public Parm cbytes(byte[] bytes)

  Add a byte array parameter.

  Parameters:
    `bytes` - the parameter
  Returns:
    the root parameter

### free

    public void free()

  Free all the malloc allocated parameter buffers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"